Notification Destination
NotificationDestination object
- idstring
UUID identifying notification destination.
- display_namestring
The display name for the notification destination.
- destination_typestring
[Output-only] The type of the notification destination. The type can not be changed once set.
- configobject
The configuration for the notification destination. Will be exactly one of the nested configs. Only returns for users with workspace admin permissions.
Show child attributesHide child attributes
- slackobject
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Slack destination.
- url_setboolean
[Output-Only] Whether URL is set.
- oauth_tokenstring
[Input-Only] OAuth token for Slack authentication.
- oauth_token_setboolean
[Output-Only] Whether OAuth token is set.
- channel_idstring
[Input-Only] Slack channel ID for notifications.
- channel_id_setboolean
[Output-Only] Whether channel ID is set.
- emailobject
Show child attributesHide child attributes
- addressesarray of string
Email addresses to notify.
- generic_webhookobject
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- usernamestring
[Input-Only][Optional] Username for webhook.
- username_setboolean
[Output-Only] Whether username is set.
- passwordstring
[Input-Only][Optional] Password for webhook.
- password_setboolean
[Output-Only] Whether password is set.
- pagerdutyobject
Show child attributesHide child attributes
- integration_keystring
[Input-Only] Integration key for PagerDuty.
- integration_key_setboolean
[Output-Only] Whether integration key is set.
- microsoft_teamsobject
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Microsoft Teams webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- app_idstring
[Input-Only] App ID for Microsoft Teams App.
- app_id_setboolean
[Output-Only] Whether App ID is set.
- auth_secretstring
[Input-Only] Secret for Microsoft Teams App authentication.
- auth_secret_setboolean
[Output-Only] Whether secret is set.
- channel_urlstring
[Input-Only] Channel URL for Microsoft Teams App.
- channel_url_setboolean
[Output-Only] Whether Channel URL is set.
- tenant_idstring
[Input-Only] Tenant ID for Microsoft Teams App.
- tenant_id_setboolean
[Output-Only] Whether Tenant ID is set.
Get
GET
Gets a notification destination.
API scopes: notifications
Parameters
- idstringpath
Response
Returns the NotificationDestination object.
List
GET
Lists notification destinations.
API scopes: notifications
Parameters
- page_tokenstringquery
- page_sizeint64query
Response
- resultsarray of object
Show child attributesHide child attributes
- idstring
UUID identifying notification destination.
- display_namestring
The display name for the notification destination.
- destination_typestring
[Output-only] The type of the notification destination. The type can not be changed once set.
- configobject
The configuration for the notification destination. Will be exactly one of the nested configs. Only returns for users with workspace admin permissions.
Show child attributesHide child attributes
- slackobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Slack destination.
- url_setboolean
[Output-Only] Whether URL is set.
- oauth_tokenstring
[Input-Only] OAuth token for Slack authentication.
- oauth_token_setboolean
[Output-Only] Whether OAuth token is set.
- channel_idstring
[Input-Only] Slack channel ID for notifications.
- channel_id_setboolean
[Output-Only] Whether channel ID is set.
- emailobjectRequired
Show child attributesHide child attributes
- addressesarray of string
Email addresses to notify.
- generic_webhookobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- usernamestring
[Input-Only][Optional] Username for webhook.
- username_setboolean
[Output-Only] Whether username is set.
- passwordstring
[Input-Only][Optional] Password for webhook.
- password_setboolean
[Output-Only] Whether password is set.
- pagerdutyobjectRequired
Show child attributesHide child attributes
- integration_keystring
[Input-Only] Integration key for PagerDuty.
- integration_key_setboolean
[Output-Only] Whether integration key is set.
- microsoft_teamsobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Microsoft Teams webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- app_idstring
[Input-Only] App ID for Microsoft Teams App.
- app_id_setboolean
[Output-Only] Whether App ID is set.
- auth_secretstring
[Input-Only] Secret for Microsoft Teams App authentication.
- auth_secret_setboolean
[Output-Only] Whether secret is set.
- channel_urlstring
[Input-Only] Channel URL for Microsoft Teams App.
- channel_url_setboolean
[Output-Only] Whether Channel URL is set.
- tenant_idstring
[Input-Only] Tenant ID for Microsoft Teams App.
- tenant_id_setboolean
[Output-Only] Whether Tenant ID is set.
- next_page_tokenstring
Page token for next of results.
Create
POST
Creates a notification destination. Requires workspace admin permissions.
API scopes: notifications
Request body
- display_namestring
The display name for the notification destination.
- configobject
The configuration for the notification destination. Must wrap EXACTLY one of the nested configs.
Show child attributesHide child attributes
- slackobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Slack destination.
- url_setboolean
[Output-Only] Whether URL is set.
- oauth_tokenstring
[Input-Only] OAuth token for Slack authentication.
- oauth_token_setboolean
[Output-Only] Whether OAuth token is set.
- channel_idstring
[Input-Only] Slack channel ID for notifications.
- channel_id_setboolean
[Output-Only] Whether channel ID is set.
- emailobjectRequired
Show child attributesHide child attributes
- addressesarray of string
Email addresses to notify.
- generic_webhookobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- usernamestring
[Input-Only][Optional] Username for webhook.
- username_setboolean
[Output-Only] Whether username is set.
- passwordstring
[Input-Only][Optional] Password for webhook.
- password_setboolean
[Output-Only] Whether password is set.
- pagerdutyobjectRequired
Show child attributesHide child attributes
- integration_keystring
[Input-Only] Integration key for PagerDuty.
- integration_key_setboolean
[Output-Only] Whether integration key is set.
- microsoft_teamsobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Microsoft Teams webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- app_idstring
[Input-Only] App ID for Microsoft Teams App.
- app_id_setboolean
[Output-Only] Whether App ID is set.
- auth_secretstring
[Input-Only] Secret for Microsoft Teams App authentication.
- auth_secret_setboolean
[Output-Only] Whether secret is set.
- channel_urlstring
[Input-Only] Channel URL for Microsoft Teams App.
- channel_url_setboolean
[Output-Only] Whether Channel URL is set.
- tenant_idstring
[Input-Only] Tenant ID for Microsoft Teams App.
- tenant_id_setboolean
[Output-Only] Whether Tenant ID is set.
Response
Returns the NotificationDestination object.
Update
PATCH
Updates a notification destination. Requires workspace admin permissions. At least one field is required in the request body.
API scopes: notifications
Parameters
- idstringpath
UUID identifying notification destination.
Request body
- display_namestring
The display name for the notification destination.
- configobject
The configuration for the notification destination. Must wrap EXACTLY one of the nested configs.
Show child attributesHide child attributes
- slackobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Slack destination.
- url_setboolean
[Output-Only] Whether URL is set.
- oauth_tokenstring
[Input-Only] OAuth token for Slack authentication.
- oauth_token_setboolean
[Output-Only] Whether OAuth token is set.
- channel_idstring
[Input-Only] Slack channel ID for notifications.
- channel_id_setboolean
[Output-Only] Whether channel ID is set.
- emailobjectRequired
Show child attributesHide child attributes
- addressesarray of string
Email addresses to notify.
- generic_webhookobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- usernamestring
[Input-Only][Optional] Username for webhook.
- username_setboolean
[Output-Only] Whether username is set.
- passwordstring
[Input-Only][Optional] Password for webhook.
- password_setboolean
[Output-Only] Whether password is set.
- pagerdutyobjectRequired
Show child attributesHide child attributes
- integration_keystring
[Input-Only] Integration key for PagerDuty.
- integration_key_setboolean
[Output-Only] Whether integration key is set.
- microsoft_teamsobjectRequired
Show child attributesHide child attributes
- urlstring
[Input-Only] URL for Microsoft Teams webhook.
- url_setboolean
[Output-Only] Whether URL is set.
- app_idstring
[Input-Only] App ID for Microsoft Teams App.
- app_id_setboolean
[Output-Only] Whether App ID is set.
- auth_secretstring
[Input-Only] Secret for Microsoft Teams App authentication.
- auth_secret_setboolean
[Output-Only] Whether secret is set.
- channel_urlstring
[Input-Only] Channel URL for Microsoft Teams App.
- channel_url_setboolean
[Output-Only] Whether Channel URL is set.
- tenant_idstring
[Input-Only] Tenant ID for Microsoft Teams App.
- tenant_id_setboolean
[Output-Only] Whether Tenant ID is set.
Response
Returns the NotificationDestination object.
Delete
DELETE
Deletes a notification destination. Requires workspace admin permissions.
API scopes: notifications
Parameters
- idstringpath